/* Block: categories-list (categories-list) */
.g-0caac2f9 { display: grid; grid-template-columns: repeat(6, 1fr); gap: var(--size-s); }
.g-0caac2f9 .g-809972f7 { position: relative; text-decoration: none; background: linear-gradient(180deg, var(--color-surface) 0%, transparent 100%); border-radius: var(--b-radius); padding: 24px 24px 150px; min-height: 178px; overflow-wrap: break-word; word-break: break-word; text-wrap: balance; grid-column: span 2; transition: background 0.2s ease-in-out, box-shadow 0.2s ease-in-out; }
.g-0caac2f9 .g-809972f7:hover { background: linear-gradient(180deg, var(--color-surface) 0%, var(--color-surface) 100%); box-shadow: inset var(--shadow); transition: background 0.2s ease-in-out, box-shadow 0.2s ease-in-out; }
.g-0caac2f9 .g-809972f7:hover .g-70e567a3 { opacity: 1; }
.g-0caac2f9 .g-1dbe5e7f { position: relative; z-index: 1; }
.g-0caac2f9 .g-70e567a3 { position: absolute; right: 24px; bottom: 24px; font-size: 120px; opacity: 0.6; transition: opacity 0.2s ease-in-out; }
.g-0caac2f9 .g-c0379a88 { padding-bottom: 210px; min-height: 266px; grid-column: span 3; }
.g-0caac2f9 .g-c0379a88 .g-70e567a3 { font-size: 200px; }
@media screen and (max-width: 1024px) { .g-809972f7 { min-height: 144px; padding-bottom: 82px; }
.g-70e567a3 { font-size: 72px; }
.g-c0379a88 { padding-bottom: 120px; min-height: 159px; }
.g-c0379a88 .g-70e567a3 { font-size: 100px; }
 }@media screen and (max-width: 768px) { .g-0caac2f9 { gap: var(--size-xs); grid-template-columns: repeat(2, 1fr); }
.g-809972f7 { min-height: 119px; padding: 16px 16px 76px; grid-column: auto; }
.g-70e567a3 { font-size: 56px; right: 16px; bottom: 16px; }
.g-c0379a88 { min-height: 119px; grid-column: auto; padding-bottom: 76px; }
.g-c0379a88 .g-70e567a3 { font-size: 56px; }
 }

/* Block: category-header (category-header) */
.g-3a43cab6 { display: flex; gap: var(--size-m); justify-content: flex-start; padding: var(--size-m) 0 var(--section-padding); }
.g-3a43cab6 .g-675848cd { flex: 0 0 172px; background-color: var(--color-surface); font-size: 80px; border-radius: var(--b-radius); display: flex; justify-content: center; align-items: center; }
.g-3a43cab6 .g-e50b302f { max-width: 700px; margin-top: var(--size-s); }
@media screen and (max-width: 576px) { .g-3a43cab6 { flex-direction: column; align-items: center; gap: var(--size-s); }
.g-675848cd { font-size: 64px; flex: 0 0 108px; width: 120px; }
.g-84a7f22b { text-align: center; }
.g-e50b302f { margin-top: var(--size-xs); text-align: center; }
 }

/* Block: comments (comments) */
.comments-block .comments {
    list-style: none;
    padding: 0;
}

.comments-block .comments ul {
    padding: 0;
}

.comments-block .comment {
    list-style: none;
}

.comments-block .comments-title,
.comments-block .comment-reply-title {
    font-size: clamp(1.5rem, 0.8839779006vw + 1.2928176796rem, 2rem);
    font-weight: 600;
    line-height: 120%;
    margin-bottom: var(--size-m);
}

.comments-block .comment-body,
.comments-block .comment-respond {
    margin-top: var(--size-m);
    background-color: var(--color-surface);
    padding: var(--size-s);
    border-radius: var(--b-radius);
}

.comments-block .comment-content {
    margin-top: var(--size-s);
}

.comments-block .comment-metadata {
    margin-top: var(--size-xxs);
}

.comments-block .avatar {
    border-radius: 50%;
    margin-right: var(--size-xs);
}

.comments-block .comment-form {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
    gap: var(--size-xs);
}

.comments-block .comment-form p {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
    gap: var(--size-xxs);
}

.comments-block .comment-form input[type="email"],
.comments-block .comment-form input[type="text"],
.comments-block .comment-form input[type="url"],
.comments-block .comment-form textarea {
    width: 100%;
    border: 0;
    border-radius: var(--b-radius);
    font-size: clamp(0.75rem, 0.4419889503vw + 0.6464088398rem, 1rem);
    font-weight: 400;
    line-height: 120%;
    color: var(--color-text);
    background-color: var(--color-bg);
    outline: none;
}

.comments-block .comment-form input[type="email"],
.comments-block .comment-form input[type="text"],
.comments-block .comment-form input[type="url"] {
    height: var(--size-l);
}

.comments-block .comment-form textarea {
    min-height: 130px;
    resize: vertical;
}

.comments-block .comment-form .submit {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    color: var(--color-text-light);
    padding: 9px 75px;
    min-height: var(--size-l);
    text-decoration: none;
    font-size: 18px;
    border: 0;
    cursor: pointer;
    background-color: var(--color-primary);
    border-radius: var(--b-radius);
}

.comments-block p.comment-form-cookies-consent {
    flex-direction: row;
    align-items: center;
}

/* Block: cookie (cookie) */
.g-d2d261f8 { display: none; position: fixed; bottom: 0; left: 0; width: 100%; padding: var(--size-m); z-index: 3; }
.g-fd1f0399 { display: block; }
.g-837ea186 { display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xl); }
.g-eab71ab8 { width: 195px; display: flex; flex-direction: column; gap: var(--size-xs); }
.g-8e713b01 { width: 100%; }
@media screen and (max-width: 768px) { .g-d2d261f8 { padding: var(--size-s); }
.g-837ea186 { text-align: center; gap: var(--size-s); flex-direction: column; }
.g-eab71ab8 { width: 100%; flex-direction: row; justify-content: center; flex-wrap: wrap; }
.g-8e713b01 { width: auto; }
 }@media screen and (max-width: 576px) { .g-eab71ab8 { gap: var(--size-xxs); }
 }

/* Block: featured-posts (featured-posts) */
.g-94a368ca { display: grid; grid-template-columns: minmax(0, 1fr) 466px; gap: var(--size-xs); align-items: start; }
.g-2e738be8 { background-color: var(--color-surface); padding: var(--size-xs); border-radius: var(--b-radius); }
.g-6e34ba51 { margin: 0; height: 1px; border: 0; border-top: 1px solid var(--color-text); }
.g-2a8256d3 { display: flex; justify-content: center; align-items: center; margin-top: var(--size-xl); text-align: center; }
@media screen and (max-width: 1024px) { .g-94a368ca { grid-template-columns: 1fr 1fr; }
 }@media screen and (max-width: 870px) { .g-94a368ca { grid-template-columns: 1fr; gap: var(--size-l); }
.g-2e738be8 { padding: 8px; }
 }

/* Block: footer (footer) */
.g-9c76db2c { font-size: 40px; display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xxs); white-space: nowrap; }
.g-b042d838 { text-align: center; position: fixed; left: 50%; top: 50%; transform: translateX(-50%) translateY(-50%) scale(0.7); padding: var(--size-xs) var(--size-s); border-radius: 14px; background: var(--color-secondary); box-shadow: var(--shadow); color: var(--color-text-light); opacity: 0; visibility: hidden; transition: opacity 0.2s ease, transform 0.2s ease, visibility 0.2s ease; z-index: 1000; }
.g-b042d838.g-9e4270e0 { opacity: 1; visibility: visible; transform: translateX(-50%) translateY(-50%) scale(1); }
.g-4587d68f { margin-top: var(--section-padding); }
.g-56b683ff { background-color: var(--color-primary); color: var(--color-text-light); border-radius: var(--b-radius); padding: var(--size-xl); display: flex; justify-content: space-between; align-items: center; flex-wrap: wrap; gap: var(--size-xl); margin-bottom: var(--size-xl); }
.g-3c258d45 { max-width: 510px; }
.g-e2d281f0 { max-width: 430px; }
.g-a9cf6523 { margin-top: var(--size-xs); }
.g-281cb715 { position: relative; margin-top: var(--size-s); display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xs); }
.g-f9ce1fbf { background-color: var(--color-surface); border: 0; height: 40px; border-radius: 40px; padding: 10px 24px; flex: 2; }
.g-f3a04f12 { flex: 1; cursor: pointer; border: 0; background-color: var(--color-secondary); color: var(--text-light); height: 40px; border-radius: 40px; padding: 10px 24px; transition: transform 0.1s ease-in-out; }
.g-f3a04f12:hover { transition: transform 0.3s ease-in-out; transform: scale(1.06); }
.g-3f3d7e61 { display: flex; justify-content: flex-start; align-items: center; margin-top: var(--size-xs); }
.g-3093114e { transform: scale(1.2); margin-right: var(--size-xs); }
.g-502c93aa { background-color: var(--color-surface); border-radius: var(--b-radius); padding: var(--size-xl); margin-bottom: var(--size-m); }
.g-89632409 { display: flex; justify-content: space-between; align-items: center; gap: var(--size-s); }
.g-03e00b26 { display: flex; justify-content: flex-end; align-items: center; flex-wrap: wrap; gap: var(--size-xs) var(--size-xl); }
.g-c66b053e { margin-top: var(--size-xl); display: flex; justify-content: space-between; align-items: center; gap: var(--size-s); text-align: center; }
@media screen and (max-width: 1024px) { .g-56b683ff { padding: var(--size-m); margin-bottom: var(--size-m); }
.g-3c258d45 { max-width: initial; }
.g-e2d281f0 { max-width: initial; }
.g-502c93aa { padding: var(--size-m); }
 }@media screen and (max-width: 870px) { .g-89632409 { align-items: flex-start; justify-content: flex-start; flex-direction: column; gap: var(--size-m); }
.g-03e00b26 { justify-content: flex-start; }
 }@media screen and (max-width: 768px) { .g-c66b053e { gap: var(--size-xs); flex-wrap: wrap; justify-content: space-between; text-align: left; }
.g-cfb738aa { order: 3; width: 100%; text-align: center; }
 }@media screen and (max-width: 576px) { .g-56b683ff { gap: var(--size-m); }
.g-281cb715 { flex-direction: column; gap: var(--size-xxs); }
.g-f9ce1fbf { width: 100%; }
.g-f3a04f12 { width: 100%; }
.g-03e00b26 { flex-direction: column; align-items: flex-start; }
 }

/* Block: header (header) */
#navigation-modal li {
    list-style: none;
}
#navigation-modal .menu-item,
#navigation-modal .page_item {
    transition: color .2s ease-out;
}
#navigation-modal .menu-item:hover,
#navigation-modal .menu-item a:hover,
#navigation-modal .page_item:hover,
#navigation-modal .page_item a:hover {
    color: var(--color-primary);
}
#navigation-modal .current-menu-item,
#navigation-modal .current_page_item,
#navigation-modal .current-menu-item a,
#navigation-modal .current_page_item a {
    color: var(--color-primary);
}

.g-45a5ac4c { position: relative; z-index: 5; }
.g-eff998f9 { width: 100%; }
.g-6d11d59d { display: flex; justify-content: center; align-items: center; height: 85px; }
.g-f5e1cc11 { position: sticky; top: -1px; z-index: 5; }
.g-88d03182 { display: block; }
.g-7be75aec { display: flex; justify-content: center; align-items: center; height: 85px; position: relative; }
.g-7be75aec::after { content: ""; position: absolute; top: 0; left: 50%; transform: translateX(-50%); width: 75%; height: 1px; background-color: var(--color-text); }
.g-fb8f2324 { display: flex; justify-content: flex-start; align-items: center; white-space: nowrap; text-decoration: none; margin: 0 auto; }
.g-d2568a51 { font-size: 34px; margin-right: var(--size-xxs); }
.g-cfbb1cc6 { font-size: 24px; font-weight: 600; }
.g-590a0745 { display: block; }
.g-4bb31f64 { display: flex; justify-content: flex-end; align-items: center; gap: var(--size-s); }
.g-c2745037 { text-decoration: none; white-space: nowrap; padding: var(--size-xxs); transition: 0.2s ease; }
.g-c2745037:hover { text-decoration: underline; }
.g-419a17e1 { display: none; flex-direction: column; gap: 5px; border: 0; padding: var(--size-xs); border-radius: var(--size-xxs); cursor: pointer; }
.g-b08d8022 { width: 32px; height: 3px; }
@media screen and (max-width: 768px) { .g-45a5ac4c { position: sticky; top: 0; }
.g-6d11d59d { justify-content: space-between; height: 65px; }
.g-f54ee3ab { top: 65px; height: 0; }
.g-7be75aec::after { display: none; }
.g-fb8f2324 { margin: 0; }
.g-590a0745 { position: absolute; right: 0; bottom: 75px; transform: translateY(100%); background-color: var(--color-secondary); width: 260px; padding: var(--size-m); border-radius: var(--size-xxs); display: none; }
.g-590a0745.g-9d5a5e05 { display: block; }
.g-4bb31f64 { gap: var(--size-m); flex-direction: column; align-items: center; color: var(--color-text-light); }
.g-419a17e1 { display: flex; }
 }@media screen and (max-width: 576px) { .g-d2568a51 { font-size: 28px; }
.g-cfbb1cc6 { font-size: 20px; }
.g-590a0745 { width: 100%; }
 }

/* Block: hero-search (hero-search) */
.g-fc03aac3 { padding: var(--size-xl) 0; }
.g-cef85e47 { max-width: 565px; margin: 0 auto; text-align: center; }
.g-94fbffa1 { margin-top: var(--size-s); }
.g-7e76a478 { margin-top: var(--size-m); }
@media screen and (max-width: 576px) { .g-94fbffa1 { margin-top: var(--size-xs); }
.g-7e76a478 { margin-top: var(--size-s); }
 }

/* Block: page-404 (page-404) */
.g-c78ee0a1 { display: flex; justify-content: center; align-items: center; flex-direction: column; position: relative; min-height: 480px; }
.g-52711d25 { position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); max-width: 100%; height: auto; }
.g-432aa9c4 { position: relative; padding: var(--size-xl) 0; }
.g-e436bda8 { text-align: center; }
.g-68b753de { text-align: center; margin-top: var(--size-s); }
.g-2fba3dca { display: flex; justify-content: center; align-items: center; gap: var(--size-m); }
@media screen and (max-width: 576px) { .g-2fba3dca { flex-direction: column; gap: var(--size-xs); }
 }

/* Block: page-content (page-content) */
.g-e8cc01ea { background-color: var(--color-surface); border-radius: var(--b-radius); padding: var(--size-m); margin: var(--section-padding) 0; }
@media screen and (max-width: 768px) { .g-e8cc01ea { padding: var(--size-xs); }
 }

/* Block: page-header (page-header) */
.g-95afc21b { position: relative; padding: var(--size-m) 0 80px; overflow: hidden; color: var(--color-text-light); }
.g-8d397484 { position: absolute; top: 0; left: 0; width: 100%; height: 100%; z-index: -1; }
.g-8d397484::after { content: ""; position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: linear-gradient(180deg, rgba(0, 0, 0, 0.4) 3.41%, #191917 94.77%); }
.g-164a7200 { max-width: 670px; margin: var(--size-m) auto 0; text-align: center; }
.g-621d7690 { margin-top: var(--size-xs); }
@media screen and (max-width: 768px) { .g-95afc21b { padding-bottom: 50px; }
 }@media screen and (max-width: 576px) { .g-95afc21b { padding-bottom: 40px; }
 }

/* Block: pagination (pagination) */
.g-41694edf .nav-links {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.g-41694edf .page-numbers {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    height: 32px;
    border-radius: 32px;
    min-width: 32px;
    text-decoration: none;
    font-weight: 500;
}

.g-41694edf .page-numbers:hover {
    box-shadow: 0px 0px 0px 1px var(--color-secondary);
}

.g-41694edf .prev {
    left: 0;
    transform: translateX(calc(-100% - 44px));
    color: var(--color-secondary);
}

.g-41694edf .prev::before {
    content: '';
    display: inline-block;
    width: 18px;
    height: 12px;
    background-color: currentColor;
    -webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    flex-shrink: 0;
}

.g-41694edf .next {
    right: 0;
    transform: translateX(calc(100% + 44px));
    color: var(--color-secondary);
}

.g-41694edf .next::after {
    content: '';
    display: inline-block;
    width: 18px;
    height: 12px;
    background-color: currentColor;
    -webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    flex-shrink: 0;
    transform: scale(-1);
}

.g-41694edf .prev,
.g-41694edf .next {
    position: absolute;
    top: 50%;
    margin-top: -16px;
    padding: 0 16px;
    gap: 8px;
        color: var(--color-text);
}

.g-41694edf .prev,
.g-41694edf .next,
.g-41694edf .current {
    box-shadow: 0px 0px 0px 1px var(--color-text);
}

@media screen and (max-width: 768px) {
    .g-41694edf .prev,
    .g-41694edf .next {
        position: static;
        margin-top: 0;
        transform: none;
    }
}

@media screen and (max-width: 576px) {
    .g-41694edf .prev::before,
    .g-41694edf .next::after {
        display: none;
    }
}

.g-41694edf { display: flex; justify-content: center; padding: var(--size-l) 0 var(--size-xl); }
@media screen and (max-width: 768px) { .g-41694edf { padding: var(--size-m) 0 var(--size-l); }
 }

/* Block: post-card (post-card) */
.g-13a891c7 { position: relative; border-radius: var(--b-radius); overflow: hidden; height: 100%; background-color: var(--color-surface); }
.g-13a891c7 .g-47c6d2bc { position: relative; height: 100%; text-decoration: none; display: flex; flex-direction: column; }
.g-13a891c7 .g-8c9c5132 { height: 100%; background-color: var(--color-secondary); margin-bottom: -19px; aspect-ratio: 16/10; }
.g-13a891c7 .g-8c9c5132 img { width: 100%; height: 100%; object-fit: cover; }
.g-13a891c7 .g-366a02a7 { margin-top: auto; padding: 0 var(--size-s) var(--size-s); display: flex; flex-direction: column; align-items: flex-start; justify-content: flex-start; }
.g-13a891c7 .g-ef8908a9 { display: inline-flex; align-items: center; justify-content: flex-start; flex-wrap: wrap; gap: 0 8px; background-color: var(--color-surface); border-radius: var(--b-radius) var(--b-radius) 0 0; padding: 0 8px; }
.g-13a891c7 .g-dfd68c97 { padding: 8px 4px; display: flex; justify-content: center; gap: 16px; align-items: center; white-space: nowrap; }
.g-13a891c7 .g-9739bcdd { margin-top: var(--size-xs); display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical; overflow: hidden; text-overflow: ellipsis; }
.g-13a891c7 .g-96287efa { margin-top: var(--size-s); display: flex; align-items: center; gap: 8px; }
.g-13a891c7 .g-96287efa:hover { text-decoration: underline; }
.g-13a891c7 .g-1308d698 { white-space: nowrap; opacity: 0.8; margin-top: var(--size-xs); }
.g-13a891c7 .g-635b0de7 { margin-top: var(--size-s); }
.g-13a891c7 .g-9f9a6522 { background-color: var(--color-text); width: 4px; height: 4px; border-radius: 50%; }
.g-89542a50 { position: relative; height: 100%; background-color: var(--color-surface); padding: 24px 0; }
.g-89542a50 .g-47c6d2bc { position: relative; height: 100%; text-decoration: none; }
.g-89542a50 .g-e65e9d61 { display: flex; justify-content: flex-start; align-items: center; gap: 16px; }
.g-89542a50 .g-5d32d500 { flex-shrink: 0; width: 120px; }
.g-89542a50 .g-8c9c5132 { height: 120px; background-color: var(--color-secondary); border-radius: var(--b-radius); }
.g-89542a50 .g-8c9c5132 img { width: 100%; height: 100%; object-fit: cover; }
.g-89542a50 .g-ef8908a9 { display: inline-flex; align-items: center; justify-content: flex-start; flex-wrap: wrap; gap: 0 8px; }
.g-89542a50 .g-dfd68c97 { display: flex; justify-content: center; gap: 8px; align-items: center; white-space: nowrap; }
.g-89542a50 .g-9739bcdd { margin-top: 16px; display: -webkit-box; -webkit-line-clamp: 3; -webkit-box-orient: vertical; overflow: hidden; text-overflow: ellipsis; }
.g-89542a50 .g-1308d698 { white-space: nowrap; opacity: 0.8; }
.g-89542a50 .g-9f9a6522 { background-color: var(--color-text); width: 4px; height: 4px; border-radius: 50%; }
@media screen and (max-width: 576px) { .g-366a02a7 { padding: 0 8px 8px; }
.g-ef8908a9 { gap: 0 4px; }
.g-89542a50 { padding: 16px 0; }
.g-89542a50 .g-e65e9d61 { flex-wrap: wrap; justify-content: space-between; gap: 8px; }
.g-89542a50 .g-5d32d500 { flex-shrink: initial; width: auto; }
.g-89542a50 .g-8c9c5132 { width: 100%; height: 100%; aspect-ratio: 16/10; }
.g-89542a50 .g-366a02a7 { margin-top: 8px; }
 }

/* Block: post-content (post-content) */
[id^="anchor-"] {
    scroll-margin-top: calc(var(--header-height, 0px) + 15px);
}

.post-navigation-wrapper .nav-links {
    margin-top: var(--size-xl);
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: var(--size-xl);
}

.post-navigation-wrapper .nav-links .post-navigation-link {
    gap: var(--size-xxs);
}

.post-navigation-wrapper .nav-links .nav-next {
    margin-left: auto;
        text-align: right;
}

.g-64639ccd { display: grid; grid-template-columns: 270px 1fr; gap: var(--size-s); padding: var(--size-xl) 0; }
.g-64639ccd blockquote { position: relative; background-color: var(--color-surface); border-radius: var(--b-radius); padding: 40px var(--size-s) var(--size-s); margin-top: 40px; }
.g-64639ccd blockquote::before { content: ''; position: absolute; top: 0; left: calc(var(--size-s) + 15px); transform: translateY(-50%); display: inline-flex; width: 85px; height: 49px; flex-shrink: 0; background-color: var(--color-primary); mask-repeat: no-repeat; mask-position: center; mask-size: contain; -webkit-mask-repeat: no-repeat; -webkit-mask-position: center; -webkit-mask-size: contain; mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 85 49' fill='none'%3E%3Cpath d='M14.9095 16.6105C18.0479 16.6088 23.2388 16.3158 27.4553 18.1206C40.0116 23.495 38.7245 38.0452 32.1596 43.7914C14.908 58.8919 -9.64319 38.4949 3.93569 16.6105C9.92309 6.96098 19.4084 1.79441 30.5917 0C24.3222 3.0201 14.9095 12.25 14.9095 16.6105Z' fill='black'/%3E%3Cpath d='M62.2327 16.6105C65.3711 16.6088 70.562 16.3158 74.7786 18.1206C87.3349 23.495 86.0478 38.0452 79.4829 43.7914C62.2313 58.8919 37.6801 38.4949 51.2589 16.6105C57.2463 6.96098 66.7316 1.79441 77.9149 0C71.6454 3.0201 62.2327 12.25 62.2327 16.6105Z' fill='black'/%3E%3C/svg%3E"); -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 85 49' fill='none'%3E%3Cpath d='M14.9095 16.6105C18.0479 16.6088 23.2388 16.3158 27.4553 18.1206C40.0116 23.495 38.7245 38.0452 32.1596 43.7914C14.908 58.8919 -9.64319 38.4949 3.93569 16.6105C9.92309 6.96098 19.4084 1.79441 30.5917 0C24.3222 3.0201 14.9095 12.25 14.9095 16.6105Z' fill='black'/%3E%3Cpath d='M62.2327 16.6105C65.3711 16.6088 70.562 16.3158 74.7786 18.1206C87.3349 23.495 86.0478 38.0452 79.4829 43.7914C62.2313 58.8919 37.6801 38.4949 51.2589 16.6105C57.2463 6.96098 66.7316 1.79441 77.9149 0C71.6454 3.0201 62.2327 12.25 62.2327 16.6105Z' fill='black'/%3E%3C/svg%3E"); }
.g-64639ccd .g-d4f0077b { position: sticky; top: calc(var(--header-height, 0px) + 15px); }
.g-64639ccd .g-6ebcef2e { display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xs); }
.g-64639ccd .g-2364586a { margin-top: var(--size-m); }
.g-64639ccd .g-2c3d9f1c { margin-top: var(--size-m); color: var(--color-text-description); display: flex; flex-direction: column; justify-content: flex-start; align-items: flex-start; gap: 16px; }
.g-64639ccd .g-e9e5b8b9 { display: flex; justify-content: flex-start; align-items: flex-start; text-decoration: none; gap: 8px; }
.g-64639ccd .g-e9e5b8b9::before { content: var(--toc-number) '.'; flex-shrink: 0; font-weight: 600; text-decoration: none; width: 16px; }
.g-64639ccd .g-e9e5b8b9:hover { color: var(--color-text); }
.g-64639ccd .g-01b8e3b4 { font-weight: bold; }
.g-64639ccd .g-01b8e3b4::before { color: var(--color-primary); background-color: currentColor; mask-repeat: no-repeat; mask-position: center; mask-size: contain; -webkit-mask-repeat: no-repeat; -webkit-mask-position: center; -webkit-mask-size: contain; mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='none'%3E%3Cpath d='M8 16C3.58172 16 0 12.4183 0 8C0 3.58172 3.58172 0 8 0C12.4183 0 16 3.58172 16 8C16 12.4183 12.4183 16 8 16ZM7.46484 11.5352C7.66011 11.7304 7.97661 11.7304 8.17188 11.5352L11.3535 8.35352C11.5488 8.15825 11.5488 7.84175 11.3535 7.64648L8.17188 4.46484C7.97661 4.26962 7.66009 4.26959 7.46484 4.46484C7.26959 4.66009 7.26962 4.97661 7.46484 5.17188L9.79297 7.5H5C4.72389 7.50002 4.50002 7.72389 4.5 8C4.5 8.27613 4.72388 8.49998 5 8.5H9.79297L7.46484 10.8281C7.26959 11.0234 7.26962 11.3399 7.46484 11.5352Z' fill='black'/%3E%3C/svg%3E"); -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='none'%3E%3Cpath d='M8 16C3.58172 16 0 12.4183 0 8C0 3.58172 3.58172 0 8 0C12.4183 0 16 3.58172 16 8C16 12.4183 12.4183 16 8 16ZM7.46484 11.5352C7.66011 11.7304 7.97661 11.7304 8.17188 11.5352L11.3535 8.35352C11.5488 8.15825 11.5488 7.84175 11.3535 7.64648L8.17188 4.46484C7.97661 4.26962 7.66009 4.26959 7.46484 4.46484C7.26959 4.66009 7.26962 4.97661 7.46484 5.17188L9.79297 7.5H5C4.72389 7.50002 4.50002 7.72389 4.5 8C4.5 8.27613 4.72388 8.49998 5 8.5H9.79297L7.46484 10.8281C7.26959 11.0234 7.26962 11.3399 7.46484 11.5352Z' fill='black'/%3E%3C/svg%3E"); }
@media screen and (max-width: 1024px) { .g-64639ccd { grid-template-columns: 1fr; }
.g-64639ccd .g-04140fae { display: none; }
.g-64639ccd .g-2364586a { margin-top: var(--size-s); }
.g-64639ccd .g-2c3d9f1c { align-items: flex-start; margin-top: var(--size-s); gap: var(--size-xs); }
 }@media screen and (max-width: 768px) { .g-64639ccd blockquote { padding: 30px var(--size-s) var(--size-s); margin-top: 30px; }
.g-64639ccd blockquote::before { left: var(--size-s); transform: translateY(-50%) scale(.7); }
 }

/* Block: post-header (post-header) */
.g-5ec8768f { position: relative; height: 800px; }
.g-8b7feede { height: 100%; display: flex; flex-direction: column; }
.g-bff7df09 { position: absolute; width: 100%; height: 100%; top: 0; left: 0; z-index: -1; }
.g-bff7df09::after { content: ""; position: absolute; top: 0; left: 0; width: 100%; height: 100%; background-color: rgba(0, 0, 0, 0.4); }
.g-56fab04c { width: 100%; height: 100%; }
.g-335d5fb4 { margin-top: auto; position: relative; bottom: 0; padding: 56px var(--wrapper-padding) 32px; margin-left: calc(-1 * var(--wrapper-padding)); width: 90%; max-width: 1000px; border-radius: var(--b-radius); z-index: 1; }
.g-92c608cc { position: absolute; top: 0; left: var(--wrapper-padding); transform: translateY(-50%); display: inline-flex; justify-content: flex-start; align-items: center; height: 53px; border-radius: var(--b-radius); padding: 8px 32px; background-color: var(--color-primary); gap: var(--size-s); flex-wrap: wrap; }
.g-b923632a { text-decoration: none; }
.g-b923632a:hover { text-decoration: underline; }
.g-44a2030f { display: block; width: 4px; height: 4px; border-radius: 50%; background-color: var(--color-text-light); }
.g-6f2b9eb1 { margin-top: var(--size-m); }
.g-09a08830 { margin-top: var(--size-m); }
@media screen and (max-width: 1024px) { .g-92c608cc { padding: 8px 16px; height: 40px; gap: var(--size-xs); }
.g-6f2b9eb1 { margin-top: var(--size-s); }
.g-09a08830 { margin-top: var(--size-s); }
 }@media screen and (max-width: 768px) { .g-5ec8768f { height: 700px; }
.g-335d5fb4 { width: 95%; }
.g-92c608cc { gap: var(--size-xxs); height: auto; }
 }@media screen and (max-width: 576px) { .g-56fab04c { aspect-ratio: auto; height: 100%; }
 }

/* Block: posts-list (posts-list) */
.g-e998446d { display: grid; gap: 24px; grid-template-columns: repeat(3, 1fr); }
@media screen and (max-width: 1024px) { .g-e998446d { grid-template-columns: repeat(2, 1fr); }
 }@media screen and (max-width: 768px) { .g-e998446d { grid-template-columns: 1fr; }
 }

/* Block: recommendation (recommendation) */
.g-9eeb3f46 { text-align: center; }
.g-40e81c0d { position: relative; }
.g-b1aeab0c { position: absolute; top: 50%; z-index: 10; margin-top: -16px; width: 32px; height: 32px; border-radius: 50%; border: 0; padding: 0; background-color: var(--color-primary); display: flex; justify-content: center; align-items: center; cursor: pointer; }
.g-b1aeab0c:hover { background-color: var(--color-primary); }
.g-40c26273 { left: -42px; }
.g-9a007dc9 { right: -42px; }
@media screen and (max-width: 1024px) { .g-c3be640f { display: flex; justify-content: center; align-items: center; gap: var(--size-m); margin-top: var(--size-m); }
.g-b1aeab0c { position: static; margin-top: 0; }
 }

/* Block: search (search) */
.g-566df277 { text-align: center; max-width: 430px; margin: 0 auto; }
.g-890efa3b { margin-top: var(--size-xl); }
.g-28fbbee8 { max-width: 430px; margin-inline: auto; text-align: center; }

/* Block: searchform (searchform) */
.g-753714fb { position: relative; display: inline-block; width: 100%; }
.g-753714fb .g-ad01a7a0 { color: var(--color-text); width: 100%; background-color: var(--color-surface); height: 48px; border-radius: 48px; border: 0; box-shadow: 0 0 0 2px var(--color-surface), inset 0 0 0 3px var(--color-primary); padding: var(--size-xxs) 150px var(--size-xxs) var(--size-s); font-size: clamp(0.75rem, 0.4419889503vw + 0.6464088398rem, 1rem); font-weight: 500; line-height: 120%; }
.g-753714fb .g-7c31f65c { position: absolute; right: 0; top: 0; height: 100%; border: 0; border-radius: 48px; background-color: var(--color-primary); color: var(--color-text-light); cursor: pointer; display: flex; justify-content: center; align-items: center; padding: 0 32px; transition: opacity .2s ease-in-out; }
.g-753714fb .g-7c31f65c:hover { opacity: .7; }

/* Block: toTop (toTop) */
.g-45341e22 { position: fixed; bottom: 0; opacity: 0; right: 30px; opacity: 0; transform: translateY(100%); background-color: var(--color-primary); border: none; width: 60px; height: 60px; border-radius: 50%; cursor: pointer; transition: 0.3s opacity ease-in-out, 0.3s transform ease-in-out; z-index: 4; }
.g-cd3b88df { fill: var(--color-text-light); }
.g-c954f6c4 { opacity: 1; transform: translateY(-35px); }
@media screen and (max-width: 768px) { .g-45341e22 { transform: scale(0.8); bottom: 15px; right: 15px; }
 }

/* Block: front-page::hero-search (hero-search) */
.g-7e376fae { padding: var(--size-xl) 0; }
.g-c51a13e2 { max-width: 565px; margin: 0 auto; text-align: center; }
.g-8e359c55 { margin-top: var(--size-s); }
.g-bd7406fb { margin-top: var(--size-m); }
@media screen and (max-width: 576px) { .g-8e359c55 { margin-top: var(--size-xs); }
.g-bd7406fb { margin-top: var(--size-s); }
 }

/* Block: front-page::text--0 (text) */
.g-a2ac0f4e { padding: var(--size-xl); }
@media screen and (max-width: 768px) { .g-a2ac0f4e { text-align: center; padding: var(--size-m); }
 }@media screen and (max-width: 576px) { .g-a2ac0f4e { padding: var(--size-s); }
 }

/* Block: front-page::categories-list (categories-list) */
.g-e6988840 { display: grid; grid-template-columns: repeat(6, 1fr); gap: var(--size-s); }
.g-e6988840 .g-0c47e642 { position: relative; text-decoration: none; background: linear-gradient(180deg, var(--color-surface) 0%, transparent 100%); border-radius: var(--b-radius); padding: 24px 24px 150px; min-height: 178px; overflow-wrap: break-word; word-break: break-word; text-wrap: balance; grid-column: span 2; transition: background 0.2s ease-in-out, box-shadow 0.2s ease-in-out; }
.g-e6988840 .g-0c47e642:hover { background: linear-gradient(180deg, var(--color-surface) 0%, var(--color-surface) 100%); box-shadow: inset var(--shadow); transition: background 0.2s ease-in-out, box-shadow 0.2s ease-in-out; }
.g-e6988840 .g-0c47e642:hover .g-6167fa74 { opacity: 1; }
.g-e6988840 .g-c6f4962b { position: relative; z-index: 1; }
.g-e6988840 .g-6167fa74 { position: absolute; right: 24px; bottom: 24px; font-size: 120px; opacity: 0.6; transition: opacity 0.2s ease-in-out; }
.g-e6988840 .g-48bad9f3 { padding-bottom: 210px; min-height: 266px; grid-column: span 3; }
.g-e6988840 .g-48bad9f3 .g-6167fa74 { font-size: 200px; }
@media screen and (max-width: 1024px) { .g-0c47e642 { min-height: 144px; padding-bottom: 82px; }
.g-6167fa74 { font-size: 72px; }
.g-48bad9f3 { padding-bottom: 120px; min-height: 159px; }
.g-48bad9f3 .g-6167fa74 { font-size: 100px; }
 }@media screen and (max-width: 768px) { .g-e6988840 { gap: var(--size-xs); grid-template-columns: repeat(2, 1fr); }
.g-0c47e642 { min-height: 119px; padding: 16px 16px 76px; grid-column: auto; }
.g-6167fa74 { font-size: 56px; right: 16px; bottom: 16px; }
.g-48bad9f3 { min-height: 119px; grid-column: auto; padding-bottom: 76px; }
.g-48bad9f3 .g-6167fa74 { font-size: 56px; }
 }

/* Block: front-page::featured-posts (featured-posts) */
.g-40a8e611 { display: grid; grid-template-columns: minmax(0, 1fr) 466px; gap: var(--size-xs); align-items: start; }
.g-78da18bc { background-color: var(--color-surface); padding: var(--size-xs); border-radius: var(--b-radius); }
.g-630f48e7 { margin: 0; height: 1px; border: 0; border-top: 1px solid var(--color-text); }
.g-a6548428 { display: flex; justify-content: center; align-items: center; margin-top: var(--size-xl); text-align: center; }
@media screen and (max-width: 1024px) { .g-40a8e611 { grid-template-columns: 1fr 1fr; }
 }@media screen and (max-width: 870px) { .g-40a8e611 { grid-template-columns: 1fr; gap: var(--size-l); }
.g-78da18bc { padding: 8px; }
 }

/* Block: front-page::page-content--0 (page-content) */
.g-2df93866 { background-color: var(--color-surface); border-radius: var(--b-radius); padding: var(--size-m); margin: var(--section-padding) 0; }
@media screen and (max-width: 768px) { .g-2df93866 { padding: var(--size-xs); }
 }

/* Block: contacts-page::page-content--0 (page-content) */
.g-2332ef77 { margin: var(--section-padding) 0; }

/* Block: contacts-page::form--0 (form) */
.g-29368e3a { position: relative; z-index: 1; }
.g-37f247f6 { display: flex; justify-content: flex-start; position: relative; gap: var(--size-m); z-index: 1; }
.g-74bd877d { flex: 1; display: flex; flex-direction: column; align-items: flex-start; justify-content: flex-start; }
.g-5ff4f63b { flex: 0 0 660px; padding: var(--size-m) var(--size-m) var(--size-xl); display: flex; flex-direction: column; justify-content: center; }
.g-a03a0772 { position: relative; z-index: 1; transform: translateY(50%); padding: var(--size-xs); }
.g-b5507b21 { width: 100%; display: flex; justify-content: space-evenly; align-items: flex-start; gap: var(--size-m); flex-wrap: wrap; }
.g-f8549811 { flex: 1; display: flex; align-items: center; flex-direction: column; text-align: center; }
.g-6ee8cd8b { width: 56px; height: 56px; flex-shrink: 0; display: flex; justify-content: center; align-items: center; border-radius: 50%; font-size: 24px; }
.g-65ca07d3 { fill: var(--color-text); }
.g-1775df15 { stroke: var(--color-text); }
.g-6409b8c1 { stroke: var(--color-text); }
.g-7594a552 { display: flex; flex-direction: column; }
.g-60c89b2c { width: 100%; height: 370px; }
@media screen and (max-width: 1024px) { .g-37f247f6 { flex-direction: column; }
.g-fbe45930 { margin-top: 0; }
.g-5ff4f63b { flex: 1; }
.g-60c89b2c { height: 430px; }
 }@media screen and (max-width: 768px) { .g-7594a552 { margin-top: var(--size-xs); }
 }@media screen and (max-width: 576px) { .g-74bd877d { align-items: center; text-align: center; }
.g-5ff4f63b { padding: var(--size-s); }
.g-a03a0772 { transform: translateY(var(--size-xl)); }
.g-b5507b21 { flex-direction: column; align-items: center; }
.g-60c89b2c { height: 370px; }
 }

/* Block: about-page::text--0 (text) */
.g-9b648f8e { text-align: center; }

/* Block: about-page::page-content--0 (page-content) */
.g-152064bf { background-color: var(--color-surface); border-radius: var(--b-radius); padding: var(--size-m); margin: var(--section-padding) 0; }
@media screen and (max-width: 768px) { .g-152064bf { padding: var(--size-xs); }
 }

/* Block: expertise::about--0 (about) */
.g-4e004e2b { position: relative; display: flex; align-items: center; gap: var(--size-m); min-height: 550px; padding: var(--size-xl); }
.g-1346401b { position: absolute; width: 100%; height: 100%; top: 0; left: 0; z-index: 1; }
.g-b8b14411 { position: relative; z-index: 2; width: 60%; margin-left: auto; padding: var(--size-m); }
@media screen and (max-width: 870px) { .g-b8b14411 { width: 100%; }
 }@media screen and (max-width: 576px) { .g-4e004e2b { padding: 0; flex-direction: column-reverse; }
.g-1346401b { position: static; border-radius: 0; width: 100vw; left: 50%; right: 50%; margin-left: -50vw; margin-right: -50vw; }
.g-b8b14411 { text-align: center; }
 }

/* Block: expertise::process--0 (process) */
.g-2f40377f { width: 60%; }
.g-0e525277 { flex: 1; position: relative; display: flex; gap: var(--size-s); }
.g-0e525277::before { content: ""; position: absolute; top: 135px; left: 0; width: 100%; height: 3px; background-color: var(--color-primary); }
.g-ec356d30 { flex: 1; }
.g-c66a1afe { position: relative; height: 100%; }
.g-c66a1afe::before { content: ""; width: 16px; height: 16px; position: absolute; left: 50%; margin-left: -8px; top: 128px; background-color: var(--color-primary); border-radius: 50%; }
.g-9ad28bcc { font-size: 80px; line-height: 130%; font-weight: 500; margin-bottom: 72px; text-align: center; }
@media screen and (max-width: 870px) { .g-62b8326a { flex-direction: column; }
.g-2f40377f { width: 100%; }
.g-0e525277 { flex-direction: column; }
.g-0e525277::before { top: 0; left: 80px; width: 2px; height: 100%; }
.g-c66a1afe { display: flex; justify-content: flex-start; align-items: center; }
.g-c66a1afe::before { margin-left: 0; top: 50%; margin-top: -8px; left: 73px; }
.g-9ad28bcc { text-align: left; margin-bottom: 0; font-size: 40px; flex: 0 0 110px; }
 }@media screen and (max-width: 576px) { .g-2f40377f { text-align: center; }
.g-0e525277::before { left: 57px; }
.g-c66a1afe::before { left: 50px; }
.g-9ad28bcc { font-size: 32px; flex: 0 0 75px; }
 }

/* Block: expertise::text--0 (text) */
.g-d7ea83b9 { column-count: 2; gap: var(--size-m); }
@media screen and (max-width: 768px) { .g-7711d304 { text-align: center; }
.g-d7ea83b9 { column-count: 1; }
 }

/* Block: expertise::about--1 (about) */
.g-ba7fac8b { display: flex; align-items: center; gap: var(--size-m); }
.g-ccce3093 { flex: 1; }
.g-9153f6e5 { max-height: 600px; display: flex; justify-content: center; align-items: center; }
@media screen and (max-width: 768px) { .g-ba7fac8b { flex-direction: column; }
 }@media screen and (max-width: 576px) { .g-a1362fd3 { text-align: center; }
 }

/* Block: expertise::text--1 (text) */
.g-4fb3d943 { text-align: center; }